~alpine/aports

2 2

[alpine-aports] [PATCH] main/privoxy: Upgrade to 3.0.28, add simple check function

Dean Takemori
Details
Message ID
<4D77965B-76D9-4080-9F11-E1E576C03FB8@hawaii.rr.com>
Sender timestamp
1547335115
DKIM signature
missing
Download raw message
Patch: +10 -3
 1 file changed, 10 insertions(+), 3 deletions(-)
diff --git a/main/privoxy/APKBUILD b/main/privoxy/APKBUILD
index d1b4ebc..1cd9347 100644
--- a/main/privoxy/APKBUILD
+++ b/main/privoxy/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=privoxy
-pkgver=3.0.26
+pkgver=3.0.28
 pkgrel=0
 pkgdesc="A web proxy with advanced filtering capabilities"
 url="http://www.privoxy.org"
@@ -11,7 +11,7 @@ pkggroups="privoxy"
 makedepends="autoconf automake pcre-dev zlib-dev coreutils"
 install="privoxy.pre-install"
 subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/ijbswa/$pkgname-$pkgver-stable-src.tar.gz
+source="https://downloads.sourceforge.net/ijbswa/$pkgname-$pkgver-stable-src.tar.gz
        $pkgname.initd
        $pkgname.logrotate
        privoxy-alpine.patch
@@ -45,6 +45,13 @@ build() {
        make || return 1
 }
 
+check() {
+       cd "$builddir"
+       [ -f ./privoxy ] || exit 1
+       ./privoxy --version | grep $pkgver
+       return $?
+}
+
 package() {
        cd "$builddir"
 
@@ -63,7 +70,7 @@ package() {
                "$pkgdir"/etc/privoxy
 }
 
-sha512sums="e448305287d0451c761b76b8d8974ea1ec837b621bbb498a7ff16a54cb4d8f1f734efe2eef03235c01163bb40e225785065aad6ee265a31d90970ab98af11044  privoxy-3.0.26-stable-src.tar.gz
+sha512sums="5d58024ae73d623a2b8fb2ac49e18f047dfe252c9441388f025cf888c0e4b11546b8796cfa559759ee137002b1b31b30ad28b356ae226836454f32591eb835fc  privoxy-3.0.28-stable-src.tar.gz
 346bda3a2108547569af3397c77e092c54fa0c20bc6d3bb1d4c202b4e2b8d9c13018eab0a326cd9632310ec8052600ee7db4b6011610faec386c399cdd01af9c  privoxy.initd
 118caaeac3aba751584c5bdfc737bf5bfeddf1a62fda1f44bcd4654ae2e33183bc1ce6fc66d4a1bdd79766e42e669b1615a6d46d528a1bd49cabdf98385a3bb9  privoxy.logrotate
 0220785fff0b34b75e3c8cecbeb302e0137e96039e0663ae44d7450e334a3c1d742c2760de55d52817fb9ed2efb19f505e1fb7406d055b387b7b084f5f52011f  privoxy-alpine.patch"



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH] main/privoxy: Upgrade to 3.0.28, add simple check function

Dean Takemori
Details
Message ID
<816C9FF1-17D5-4405-BF72-4E9A3DF83DF6@hawaii.rr.com>
In-Reply-To
<CAGG_d8CKb3FfofEej+YB7pdOA8K9dS_j3ybutOG1h8EnDZ_iEg@mail.gmail.com> (view parent)
Sender timestamp
1549384771
DKIM signature
missing
Download raw message
Try again, this time with attachment to (hopefully) avoid any CRLF issues and rebased - looks like the previous version was missing the http->https update.





> On Feb 5, 2019, at 4:32 AM, Leonardo Arena <rnalrd@gmail.com> wrote:
> 
> Hi,
> 
> On Sun, Jan 13, 2019 at 12:18 AM Dean Takemori <deant@hawaii.rr.com <mailto:deant@hawaii.rr.com>> wrote:
> 
>  1 file changed, 10 insertions(+), 3 deletions(-)
> diff --git a/main/privoxy/APKBUILD b/main/privoxy/APKBUILD
> index d1b4ebc..1cd9347 100644
> 
> the does not apply. I needs to be rebased.
> 
> Thanks!
> 
> 
> /eo
> 

Re: [alpine-aports] [PATCH] main/privoxy: Upgrade to 3.0.28, add simple check function

Leonardo Arena
Details
Message ID
<CAGG_d8CKb3FfofEej+YB7pdOA8K9dS_j3ybutOG1h8EnDZ_iEg@mail.gmail.com>
In-Reply-To
<4D77965B-76D9-4080-9F11-E1E576C03FB8@hawaii.rr.com> (view parent)
Sender timestamp
1549377155
DKIM signature
missing
Download raw message
Hi,

On Sun, Jan 13, 2019 at 12:18 AM Dean Takemori <deant@hawaii.rr.com> wrote:

>
>  1 file changed, 10 insertions(+), 3 deletions(-)
> diff --git a/main/privoxy/APKBUILD b/main/privoxy/APKBUILD
> index d1b4ebc..1cd9347 100644
>

the does not apply. I needs to be rebased.

Thanks!


/eo